# F20 switches to unversioned doc dirs
%if 0%{?fedora} > 19
%global _python3_pkgdocdir %{_docdir}/python3-lazy
%else
%global _python3_pkgdocdir %{_docdir}/python3-lazy-%{version}
%endif

Name:           python-lazy
Version:        1.2
Release:        1%{?dist}
Summary:        Lazy attributes for Python objects

License:        BSD
URL:            https://pypi.python.org/pypi/lazy
Source0:        https://pypi.python.org/packages/source/l/lazy/lazy-%{version}.zip

BuildArch:      noarch

BuildRequires:  python2-devel, python3-devel
BuildRequires:  python-setuptools, python3-setuptools
BuildRequires:  python-sphinx, python3-sphinx

%description
Lazy attributes are computed attributes that are evaluated only once, the first
time they are used.  Subsequent uses return the results of the first call. They
come handy when code should run

- *late*, i.e. just before it is needed, and
- *once*, i.e. not twice, in the lifetime of an object.

You can think of it as deferred initialization.
The possibilities are endless.

%package -n python3-lazy
Summary:        Lazy attributes for objects in Python 3

%description -n python3-lazy
Lazy attributes are computed attributes that are evaluated only once, the first
time they are used.  Subsequent uses return the results of the first call. They
come handy when code should run

- *late*, i.e. just before it is needed, and
- *once*, i.e. not twice, in the lifetime of an object.

You can think of it as deferred initialization.
The possibilities are endless.

%prep
%setup -q -n lazy-%{version}
rm -rf lazy.egg-info

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%{__python2} setup.py build
make -C docs html SPHINXBUILD=sphinx-build %{?_smp_mflags}

( cd %{py3dir} &&
  %{__python3} setup.py build &&
  make -C docs html SPHINXBUILD=sphinx-build-%{python3_version} %{?_smp_mflags}
)

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
( cd %{py3dir} && %{__python3} setup.py install --skip-build --root %{buildroot} )

mkdir -p %{buildroot}%{_pkgdocdir}
mkdir -p %{buildroot}%{_python3_pkgdocdir}

cp -r docs/_build/html %{buildroot}%{_pkgdocdir}
rm -f %{buildroot}%{_pkgdocdir}/html/.buildinfo
rm -f %{buildroot}%{_pkgdocdir}/html/objects.inv
cp -r %{py3dir}/docs/_build/html %{buildroot}%{_python3_pkgdocdir}
rm -f %{buildroot}%{_python3_pkgdocdir}/html/.buildinfo
rm -f %{buildroot}%{_python3_pkgdocdir}/html/objects.inv

%check
%{__python2} setup.py check
( cd %{py3dir} && %{__python3} setup.py check )

%files
%doc CHANGES.rst README.rst
%{python2_sitelib}/lazy
%{python2_sitelib}/lazy-%{version}-*.egg-info

%files -n python3-lazy
%dir %{_python3_pkgdocdir}
%doc %{_python3_pkgdocdir}/html
%{python3_sitelib}/lazy
%{python3_sitelib}/lazy-%{version}-*.egg-info

%changelog
* Fri May  2 2014 David Shea <dshea@redhat.com> - 1.2-1
- New upstream release lazy-1.2

* Mon Mar 31 2014 David Shea <dshea@redhat.com> - 1.1-2
- Added a macro to handle the %_pkgdocdir change between F19 and F20

* Thu Mar 20 2014 David Shea <dshea@redhat.com> - 1.1-1
- Initial package
